// PropBook.cpp : implementation file
//

#include "stdafx.h"
#include "MSVC_Test_At3dx_Dll.h"
#include "ReadPage.h"
#include "XyzPage.h"
#include "BitmapPage.h"
#include "ViewPage.h"
#include "ObjectPage.h"
#include "WritePage.h"
#include "TransferPage.h"
#include "AlignPage.h"
#include "TextPage.h"
#include "EditPage.h"
#include "Convert1Page.h"
#include "Extrude2DPage.h"
#include "DefaultPage.h"
#include "KerkytheaPage.h"
#include "KmlPage.h"
#include "DemPage.h"
#include "PropBook.h"
#include "..\at3ddll.h"
#include "At3dData.h"

extern CAt3dData* at3dData;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPropBook

IMPLEMENT_DYNAMIC(CPropBook, CPropertySheet)

CPropBook::CPropBook(CWnd* pParentWnd)
	:CPropertySheet(AFX_IDS_APP_TITLE, pParentWnd)
{
	AddPage(&m_ReadPage);
	AddPage(&m_XyzPage);
	AddPage(&m_BitmapPage);
	AddPage(&m_ViewPage);
	AddPage(&m_ObjectPage);
	AddPage(&m_WritePage);
	AddPage(&m_TransferPage);
	AddPage(&m_AlignPage);
	AddPage(&m_TextPage);
	AddPage(&m_EditPage);	
	AddPage(&m_Convert1Page);
	AddPage(&m_Extrude2DPage);
	AddPage(&m_DefaultPage);
	AddPage(&m_KerkytheaPage);
	AddPage(&m_KmlPage);
	AddPage(&m_DemPage);
}

CPropBook::~CPropBook()
{
}


BEGIN_MESSAGE_MAP(CPropBook, CPropertySheet)
	//{{AFX_MSG_MAP(CPropBook)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPropBook message handlers

void CPropBook::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here
	//
	if (at3dData->useOglFlag) At3d_RenderOpenGLScene();

	// Do not call CPropertySheet::OnPaint() for painting messages
}
